/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	crypt.h,v $
 * Revision 4.2  91/09/20  05:14:20  devbld
 * Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: crypt.h,v $ $Revision: 4.2 $ (DEC) $Date: 91/09/20 05:14:20 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
 */

/*
 * definitions for the reentrant versions of crypt()
 */

#ifndef	_CRYPT_H_
#define	_CRYPT_H_

#if defined(_REENTRANT) || defined(_THREAD_SAFE)
typedef	struct crypt_data {
	char C[28], D[28];
	char E[48];
	char KS[16][48];
	char block[66], iobuf[16];
} CRYPTD;

#ifdef _NO_PROTO
extern	char	*crypt_r();
extern	int	setkey_r();
extern	int	encrypt_r();
#else
extern	char	*crypt_r(char *, char *, CRYPTD *);
extern	int	setkey_r(char *, CRYPTD *);
extern	int	encrypt_r(char *, int, CRYPTD *);
#endif /* _NO_PROTO */
#endif
#endif	/* _CRYPT_H_ */
